Bug 1293040 - [abrt] nautilus: gdk_wayland_device_get_focus(): nautilus killed by SIGSEGV
[abrt] nautilus: gdk_wayland_device_get_focus(): nautilus killed by SIGSEGV
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f704c4baf7703b3f07a888d03e8...
:
Depends On:
Blocks: F24FinalBlocker
  Show dependency treegraph
 
Reported: 2015-12-19 10:16 EST by Phea Duch
Modified: 2016-01-12 08:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 08:51:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.12 KB, text/plain)
2015-12-19 10:16 EST, Phea Duch
no flags Details
File: cgroup (259 bytes, text/plain)
2015-12-19 10:16 EST, Phea Duch
no flags Details
File: core_backtrace (10.25 KB, text/plain)
2015-12-19 10:16 EST, Phea Duch
no flags Details
File: dso_list (11.51 KB, text/plain)
2015-12-19 10:16 EST, Phea Duch
no flags Details
File: environ (614 bytes, text/plain)
2015-12-19 10:16 EST, Phea Duch
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-19 10:16 EST, Phea Duch
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-19 10:16 EST, Phea Duch
no flags Details
File: maps (60.00 KB, text/plain)
2015-12-19 10:16 EST, Phea Duch
no flags Details
File: mountinfo (4.03 KB, text/plain)
2015-12-19 10:16 EST, Phea Duch
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-19 10:16 EST, Phea Duch
no flags Details
File: open_fds (2.73 KB, text/plain)
2015-12-19 10:16 EST, Phea Duch
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2015-12-19 10:16 EST, Phea Duch
no flags Details
File: var_log_messages (310 bytes, text/plain)
2015-12-19 10:16 EST, Phea Duch
no flags Details

  None (edit)
Description Phea Duch 2015-12-19 10:16:18 EST
Description of problem:
Nautilus crashes when I right click on a file or directory.

Version-Release number of selected component:
nautilus-3.19.2-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: gdk_wayland_device_get_focus
executable:     /usr/bin/nautilus
global_pid:     5597
kernel:         4.4.0-0.rc5.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_wayland_device_get_focus at gdkdevice-wayland.c:491
 #1 gdk_wayland_seat_grab at gdkdevice-wayland.c:2466
 #2 popup_grab_on_window at gtkmenu.c:1509
 #3 gtk_menu_popup_for_device at gtkmenu.c:1686
 #4 gtk_menu_popup at gtkmenu.c:1838
 #5 nautilus_pop_up_context_menu at nautilus-ui-utilities.c:198
 #6 g_cclosure_marshal_VOID__POINTERv at gmarshal.c:2026
 #7 _g_closure_invoke_va at gclosure.c:867
 #10 handle_canvas_button_press at nautilus-canvas-container.c:5367
 #11 item_event_callback at nautilus-canvas-container.c:5395
Comment 1 Phea Duch 2015-12-19 10:16:22 EST
Created attachment 1107740 [details]
File: backtrace
Comment 2 Phea Duch 2015-12-19 10:16:23 EST
Created attachment 1107741 [details]
File: cgroup
Comment 3 Phea Duch 2015-12-19 10:16:24 EST
Created attachment 1107742 [details]
File: core_backtrace
Comment 4 Phea Duch 2015-12-19 10:16:25 EST
Created attachment 1107743 [details]
File: dso_list
Comment 5 Phea Duch 2015-12-19 10:16:26 EST
Created attachment 1107744 [details]
File: environ
Comment 6 Phea Duch 2015-12-19 10:16:27 EST
Created attachment 1107745 [details]
File: exploitable
Comment 7 Phea Duch 2015-12-19 10:16:28 EST
Created attachment 1107746 [details]
File: limits
Comment 8 Phea Duch 2015-12-19 10:16:29 EST
Created attachment 1107747 [details]
File: maps
Comment 9 Phea Duch 2015-12-19 10:16:31 EST
Created attachment 1107748 [details]
File: mountinfo
Comment 10 Phea Duch 2015-12-19 10:16:32 EST
Created attachment 1107749 [details]
File: namespaces
Comment 11 Phea Duch 2015-12-19 10:16:33 EST
Created attachment 1107750 [details]
File: open_fds
Comment 12 Phea Duch 2015-12-19 10:16:34 EST
Created attachment 1107751 [details]
File: proc_pid_status
Comment 13 Phea Duch 2015-12-19 10:16:35 EST
Created attachment 1107752 [details]
File: var_log_messages
Comment 14 Petr Schindler 2016-01-04 02:10:25 EST
Another user experienced a similar problem:

Click with right mouse button anywhere in the window (only left pane works). Nautilus crashes after the click.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: gdk_wayland_device_get_focus
executable:     /usr/bin/nautilus
global_pid:     5013
kernel:         4.4.0-0.rc6.git1.1.fc24.x86_64
package:        nautilus-3.19.2-1.fc24
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Petr Schindler 2016-01-04 02:14:38 EST
I propose this bug as Final blocker for F24 as it violates the criterion: "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test."
Comment 17 Marek Doležel 2016-01-12 08:51:14 EST
fixed by gtk3-3.19.6-1.fc24

Note You need to log in before you can comment on or make changes to this bug.